Skip to content

Measured decision-provenanced human feedback over the last 30 days

GET
/api/v1/agents/calibration/preferences
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/agents/calibration/preferences \
--header 'X-API-Key: <X-API-Key>'
agent_role
Any of:
string
>= 1 characters <= 100 characters

Successful Response

Media typeapplication/json
PreferenceStatistics

Observed human feedback, not execution success or an autonomy grant.

object
agent_role
required
Any of:
string
approval_rate
required
Any of:
number
approved_count
required
Approved Count
integer
rejected_count
required
Rejected Count
integer
rejection_rate
required
Any of:
number
sample_count
required
Sample Count
integer
window_end
required
Window End
string format: date-time
window_start
required
Window Start
string format: date-time
Examplegenerated
{
"agent_role": "example",
"approval_rate": 1,
"approved_count": 1,
"rejected_count": 1,
"rejection_rate": 1,
"sample_count": 1,
"window_end": "2026-04-15T12:00:00Z",
"window_start": "2026-04-15T12:00:00Z"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}